%global		__requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Math
%define		_subclass	Complex
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.8.6
Release:	%mkrel 7
Summary:	Classes that define complex numbers and their operations
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Complex/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-Math_TrigOp >= 1.0
BuildArch:	noarch


%description
Classes that represent and manipulate complex numbers. Contain definitions
for basic arithmetic functions, as well as trigonometric, inverse
trigonometric, hyperbolic, inverse hyperbolic, exponential and
logarithms of complex numbers.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Complex.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Complex.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Complex
fi

%files
%doc docs/Math_Complex/*
%{peardir}/*
%{xmldir}/Math_Complex.xml




%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.8.6-7.mga6
+ Revision: 931706
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6-6.mga5
+ Revision: 748670
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.8.6-5.mga5
+ Revision: 734083
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.6-4.mga5
+ Revision: 687342
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.8.6-3.mga4
+ Revision: 528122
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.8.6-2.mga4
+ Revision: 443509
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.8.6-1.mga4
+ Revision: 443479
- upgrade to version 0.8.7
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-13.mga3
+ Revision: 376858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.8.5-12.mga1
+ Revision: 43351
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Complex


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-12mdv2011.0
+ Revision: 613708
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.5-11mdv2010.1
+ Revision: 470152
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8.5-10mdv2010.0
+ Revision: 441297
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-9mdv2009.1
+ Revision: 322359
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-8mdv2009.0
+ Revision: 236921
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-7mdv2007.0
+ Revision: 82101
- Import php-pear-Math_Complex

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-1mdk
- initial Mandriva package (PLD import)

